
<template>



   <div class="message-pagination-keys">
    <div class="cg-pagination grey d-flex justify-content-center">
        <ul class="cg-pagination-alignment d-flex justify-content-center"><li><a @click.prevent="changePage(pagination.current_page - 1)" :disabled="pagination.current_page <= 1"><</a></li></ul>
    </div>
    <div class="cg-pagination grey d-flex justify-content-center">
        <ul class="cg-pagination-alignment d-flex justify-content-center"><li><a @click.prevent="changePage(pagination.current_page + 1)" :disabled="pagination.current_page >= pagination.last_page">></a></li></ul>
    </div>
   </div>
</template>

<script>
    export default {
        props: ['pagination', 'offset'],
        methods: {
            isCurrentPage(page) {
                return this.pagination.current_page === page;
            },
            changePage(page) {
                if (page > this.pagination.last_page) {
                    page = this.pagination.last_page;
                }
                this.pagination.current_page = page;
                this.$emit('paginate');
            }
        },
        computed: {
            pages() {
                let pages = [];
                let from = this.pagination.current_page - Math.floor(this.offset / 2);
                if (from < 1) {
                    from = 1;
                }
                let to = from + this.offset - 1;
                if (to > this.pagination.last_page) {
                    to = this.pagination.last_page;
                }
                while (from <= to) {
                    pages.push(from);
                    from++;
                }
                return pages;
            }
        }
    }
</script>
